Closed Bug 953926 Opened 8 years ago Closed 8 years ago

Missing Commonly Used Emoticon

Categories

(Instantbird :: Other, defect)

defect
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: clokep, Assigned: clokep)

Details

Attachments

(1 file, 1 obsolete file)

*** Original post on bio 488 at 2010-09-03 16:27:00 UTC ***

I've found Instantbird to be missing some commonly used (by me and my contacts, at least) emoticons.  In particular one for kissing (:-*) and sealed lips (:-x or :-X) are missing.

There's also a few text codes missing that I find myself using, usually =-o or =-O for surprised (:-O) and >:( for angry (in addition to x-().

I can do the patch for the text codes if its wanted. From what flo said I think the current ones are just ones that you guys used?  I'm not sure if there's a vetting process for adding new emoticons.
*** Original post on bio 488 at 2011-01-27 19:10:27 UTC ***

I also realized there's no "angel" icon. (Usually O:-) or O:) )
Attached patch Adds the text codes (obsolete) — Splinter Review
*** Original post on bio 488 as attmnt 2470 at 2013-05-31 02:28:00 UTC ***

This adds the text codes: =-o and =-O for shocked and >:( for angry

I'd still like to see sealed lips, kiss and angel emoticons but don't have the skill to make the images. :)
Attachment #8354237 - Flags: review?(benediktp)
Comment on attachment 8354237 [details] [diff] [review]
Adds the text codes

*** Original change on bio 488 attmnt 2470 at 2013-06-14 09:07:31 UTC ***

Looks good and works fine. I actually checked to see what happens when one smiley is part of another since that's the case with :-( and >:-(. It works fine (there's other cases like ^^ and ^^' already though). Additionally the new patterns look like they won't produce many false positives.

I'm missing :o as shocked or surprised smiley by the way. Dashes as noses of smileys are inconvenient to type and I almost never use them (except for this one as it has no dash-less equivalent so far). Would you mind adding :o and :O too?

Please set the whiteboard to checkin-needed when ready (either with the suggested extra patterns or not, that's up to you).
Attachment #8354237 - Flags: review?(benediktp) → review+
Attached patch Patch v2Splinter Review
*** Original post on bio 488 as attmnt 2483 at 2013-06-14 10:26:00 UTC ***

Added :o and :O.
Attachment #8354250 - Flags: review?(benediktp)
Comment on attachment 8354237 [details] [diff] [review]
Adds the text codes

*** Original change on bio 488 attmnt 2470 at 2013-06-14 10:26:06 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354237 - Attachment is obsolete: true
Comment on attachment 8354250 [details] [diff] [review]
Patch v2

*** Original change on bio 488 attmnt 2483 at 2013-06-15 14:23:57 UTC ***

I meant to say that adding :o and :O would also have my r+, so you could have carried the flag forward. Thanks for updating and fixing this!
Attachment #8354250 - Flags: review?(benediktp) → review+
Whiteboard: [checkin-needed]
*** Original post on bio 488 at 2013-06-18 10:17:14 UTC ***

http://hg.instantbird.org/instantbird/rev/f6fee45a1dd1

I'll open a new bug about adding the extra emoticons.
Assignee: nobody → clokep
Status: NEW → RESOLVED
Closed: 8 years ago
Resolution: --- → FIXED
Whiteboard: [checkin-needed]
Target Milestone: --- → 1.5
You need to log in before you can comment on or make changes to this bug.